Subject: bug#1974: closed (Re: bug#1974: 23.0.60; gnus writes customize file)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Jan 2011 08:24:01 +0000

Your bug report

#1974: 23.0.60; gnus writes customize file

which was filed against the emacs,gnus package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
1974: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1974
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#1974: 23.0.60; gnus writes customize file
From: Lars Ingebrigtsen <[email-masked]>
To: [email-masked]
Date: Mon, 24 Jan 2011 00:31:02 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing this non-bug.

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen

Subject: 23.0.60; gnus writes customize file
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 20 Jan 2009 17:11:45 -0800 (PST)

When using gnus, I find that it tries to write out my customize
preferences whenever I send a message.  This is bloody annoying, as
.emacs is version-controlled, and I do not *have* any
customize-managed preferences.

| Wrote /home/twb/News/drafts/drafts/1
| Mark set
| Sending...
| Wrote /home/twb/.Auto/.emacs.d/custom-sucks.el
| Sending news via news.gmane.org using nntp...
| Sending...done
| Deleting article /home/twb/News/drafts/drafts/1 in drafts...

To stop gnus messing with my .emacs, I have the following in .emacs:

| (setq custom-file "~/.emacs.d/custom-sucks.el") ; this is never load-file'd

...but it's still annoying from an aesthetic standpoint.

The custom-sucks.el file written by gnus is:

| (custom-set-variables
|   ;; custom-set-variables was added by Custom.
|   ;; If you edit it by hand, you could mess it up, so be careful.
|   ;; Your init file should contain only one such instance.
|   ;; If there is more than one, they won't work right.
|  '(canlock-password "acc239ecbc3348a6f02d22b49ac0743957b28655"))
| (custom-set-faces
|   ;; custom-set-faces was added by Custom.
|   ;; If you edit it by hand, you could mess it up, so be careful.
|   ;; Your init file should contain only one such instance.
|   ;; If there is more than one, they won't work right.
|  )

In GNU Emacs 23.0.60.1 (i486-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2009-01-19 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20090118-1)
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.60/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.60/site-lisp:/usr/share/emacs/site-lisp' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: rcirc

Minor modes in effect:
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  rcirc-track-minor-mode: t
  savehist-mode: t
  icomplete-mode: t
  partial-completion-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  use-hard-newlines: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-c C-c C-h e C-x ESC O B C-x b # e RET C-c C-c W r 
o t e SPC / h o m e / t w b / N e w s / d r a f t s 
/ d r a f t s / 1 RET M a r k SPC s e t RET S e n d 
i n g . . . RET W r o t e SPC / h o m e / t w b / . 
A u t o / . e m a c s . d / c u s t o m - s u c k s 
. e l ESC < ESC [ 4 ~ ; ESC O B ; ESC O B ESC q ESC 
O C C-q C-j C-d C-d ESC O A C-c C-c RET . . . w h y 
SPC d o e s SPC G N U S SPC ESC b ESC l SPC i n s i 
s t SPC o n SPC w r i t i n g SPC o u t SPC m y SPC 
c u s t o m i z e SPC ESC b ESC b C-e DEL ESC b ESC 
b ESC f ESC b ESC f SPC ( e m p t y ) ESC [ 4 ~ p r 
e f e r e n c e s SPC w h e n e v e r SPC I SPC s e 
n d SPC a SPC f i l e ? ESC b ESC d m e s a DEL s a 
g e RET ESC x r e p o r t SPC e m a c s SPC b u g 
RET

Recent messages:
Mark set [3 times]
Wrote /home/twb/News/drafts/drafts/1
Mark set
Sending...
Wrote /home/twb/.Auto/.emacs.d/custom-sucks.el
Sending news via news.gmane.org using nntp...
Sending...done
Deleting article /home/twb/News/drafts/drafts/1 in drafts...
Type C-c C-c to return text to [email-masked], or C-c C-k to cancel
Mark set